## org.apache.mahout.cf.taste.eval
Interface RecommenderIRStatsEvaluator

All Known Implementing Classes:
  GenericRecommenderIRStatsEvaluator

    public interface RecommenderIRStatsEvaluator

Implementations collect information retrieval-related statistics on a `Recommender`'s performance, including precision, recall and f-measure.

See Information retrieval.

Method Summary
`IRStatistics` `evaluate(RecommenderBuilder recommenderBuilder, DataModelBuilder dataModelBuilder, DataModel dataModel, IDRescorer rescorer, int at, double relevanceThreshold, double evaluationPercentage)`

Method Detail

### evaluate

    IRStatistics evaluate(RecommenderBuilder recommenderBuilder,
                          DataModelBuilder dataModelBuilder,
                          DataModel dataModel,
                          IDRescorer rescorer,
                          int at,
                          double relevanceThreshold,
                          double evaluationPercentage)
                          throws TasteException

  Parameters:
    `recommenderBuilder` - object that can build a `Recommender` to test
    `dataModelBuilder` - `DataModelBuilder` to use, or if null, a default `DataModel` implementation will be used
    `dataModel` - dataset to test on
    `rescorer` - if any, to use when computing recommendations
    `at` - as in, "precision at 5". The number of recommendations to consider when evaluating precision, etc.
    `relevanceThreshold` - items whose preference value is at least this value are considered "relevant" for the purposes of computations
  Returns:
    `IRStatistics` with resulting precision, recall, etc.
  Throws:
    `TasteException` - if an error occurs while accessing the `DataModel`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.